Summary:    GADMIN-SQUID -- A GTK+ administation tool for the Squid proxy server
Name:       gadmin-squid
Version:    0.1.0
Release:    0.4%{?dist}
License:    GPLv3+
Group:      Applications/System
URL:        http://sebuka.org/gadmintools/index.php?option=com_content&task=view&id=47&Itemid=37
Source0:    http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.gz
Patch1:     gadmin-squid-0.1.0-desktop.patch
Patch2:     gadmin-squid-0.1.0-POTFILES.patch
Patch3:     gadmin-squid-0.1.0-desktop-icon.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   usermode >= 1.36
Requires:   squid >= 2.6

# Only need to explicitly include these for EPEL
%if 0%{?rhel}
BuildRequires: autoconf
BuildRequires: automake
%endif
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel

%description
GADMIN-SQUID is a fast and easy to use GTK+ administration tool 
for the Squid proxy server

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Need to do this, because of old aclocal.m4 and Makefile.in inside the upstream tarball
%{__aclocal}
%{__automake} --add-missing --gnu ${am_opt};
%configure

%build
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
CFLAGS=$RPM_OPT_FLAGS %{__make} DESTDIR=%{buildroot} install 

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 etc/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 etc/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category X-Red-Hat-Base \
  --add-category X-Red-Hat-ServerConfig \
  desktop/net-%{name}.desktop

mkdir -p %{buildroot}%{_bindir}
if test ! -h %{buildroot}%{_bindir}/%{name}; then \
 ln -s consolehelper %{buildroot}%{_bindir}/%{name} ; \
fi;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc COPYING
%doc AUTHORS
%doc ChangeLog
%doc NEWS
%doc TODO
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/fedora-net-%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/%{name}.png
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%changelog
* Tue Aug 5 2008 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.0-0.4
- Made autoconf and automake buildrequires conditional and remove
  %%GNUconfigure from the .spec
- Added aclocal and automake to %%prep stage in the .spec, because of outdated files inside
  the upstream tarball
- replaced another 'bare' make statement with %%{__make} in the %%install
  stage in the .spec

* Sat Aug 2 2008 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.0-0.3
- Added autoconf and automake to BuidRequires

* Sat Aug 2 2008 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.0-0.2
- Modified spec as per bugzilla review request #457212

* Fri Jun 6 2008 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.0-0.1
- Initial packaging

* Tue Feb 19 2008 Magnus-swe <magnus-swe@telia.com>
- Changed name to GAdmin-Squid.
- Switched to GPL version 3.

* Mon Jun 25 2007 Magnus-swe <magnus-swe@telia.com>
- Initial release
